Summary: Libraries to provide access to RTAS calls and RTAS events
Name:    librtas
Version: 1.3.13
Release: 1%{?dist}
URL:     http://librtas.ozlabs.org
License: CPL
Group:   System Environment/Libraries

Source: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
#Fedora specific patch
Patch0: %{name}-1.3.4-libdir.patch
Patch1: %{name}-1.3.6-ln.patch

ExclusiveArch: ppc ppc64 ppc64le

%description
The librtas shared library provides userspace with an interface
through which certain RTAS calls can be made.  The library uses
either of the RTAS User Module or the RTAS system call to direct
the kernel in making these calls.

The librtasevent shared library provides users with a set of
definitions and common routines useful in parsing and dumping
the contents of RTAS events.

%package devel
Summary:  C header files for development with librtas
Group:    Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The librtas-devel packages contains the header files necessary for
developing programs using librtas.

%prep
%setup
%patch0 -p1 -b .libdir
%patch1 -p1 -b .ln

%build
# disable "-Werror=format-security" checking gcc option until we fix
# these errors in our code.
CFLAGS="%{optflags} -fPIC -DPIC -I."
CFLAGS=`echo $CFLAGS | sed 's/-Werror=format-security//'`
%{__make} CFLAGS="$CFLAGS" %{?_smp_mflags}

%install
mkdir -p %{buildroot}/%{_libdir}
%{__make} install DESTDIR=%{buildroot} LIB_DIR=%{_libdir} INSTALL="install -p"
%{__rm} -rf %{buildroot}%{_datadir}/doc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYRIGHT README Changelog
%{_libdir}/librtas.so.%{version}
%{_libdir}/librtasevent.so.%{version}
%{_libdir}/libofdt.so.%{version}

%files devel
%{_libdir}/librtas.so
%{_libdir}/librtasevent.so
%{_includedir}/librtas.h
%{_includedir}/librtasevent.h
%{_includedir}/librtasevent_v4.h
%{_includedir}/librtasevent_v6.h
%{_includedir}/common.h
%{_includedir}/libofdt.h
%{_libdir}/libofdt.so

%changelog
* Mon Nov 03 2014 Vasant Hegde <hegdevasant@fedoraproject.org> - 1.3.13
- Update to latest upstream 1.3.13

* Mon Sep 22 2014 Vasant Hegde <hegdevasant@fedoraproject.org> - 1.3.12
- Update to latest upstream 1.3.12

* Fri Aug 01 2014 Brent Baude <bbaude@redhat.com> - 1.3.9-6
- NVR bump for Fedora 21 build on merged koji

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 26 2014 Jakub Čajka <jcajka@redhat.com> 1.3.9-4
- Spec file clean up

* Fri Mar 07 2014 Karsten Hopp <karsten@redhat.com> 1.3.9-3
- fix CFLAGS

* Thu Mar 06 2014 Vasant Hegde <hegdevasant@fedoraproject.org> - 1.3.9-2
- Disable "-Werror=format-security" gcc option

* Tue Mar 04 2014 Vasant Hegde <hegdevasant@fedoraproject.org> - 1.3.9
- Update to latest upstream 1.3.9

* Wed Oct 09 2013 Vasant Hegde <hegdevasant@linux.vnet.ibm.com> - 1.3.8-3
- Add ppc64le architecture

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 16 2013 Vasant Hegde <hegdevasant@fedoraproject.org> - 1.3.8
- Update to latest upstream 1.3.8

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Aug 11 2011 Jiri Skala <jskala@redhat.com> 1.3.6-1
- update to latest upstream 1.3.6

* Mon Aug 08 2011 Jiri Skala <jskala@redhat.com> 1.3.5-1
- update to latest upstream 1.3.5

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Sep 11 2010 Parag Nemade <paragn AT fedoraproject.org> 2.30.3-3
- Merge-review cleanup (#226059)

* Mon Sep 21 2009 Roman Rakus <rrakus@redhat.com> - 1.3.4-1
- Upstream release 1.3.4

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 08 2008 David Cantrell <dcantrell@redhat.com> - 1.3.3-3
- Rebuild for gcc-4.3

* Tue Dec 18 2007 David Cantrell <dcantrell@redhat.com> - 1.3.3-2
- Spec cleanups

* Tue Dec 18 2007 David Cantrell <dcantrell@redhat.com> - 1.3.3-1
- Upgraded to librtas-1.3.3 (#253522)

* Mon Sep 10 2007 David Cantrell <dcantrell@redhat.com> - 1.3.2-1
- Upgraded to librtas-1.3.2
- Cleaned up spec file to conform to Fedora packaging guidelines

* Tue Aug 21 2007 David Cantrell <dcantrell@redhat.com> - 1.2.4-4
- Rebuild

* Sat Mar 31 2007 David Woodhouse <dwmw2@redhat.com> - 1.2.4-3
- Install libraries into /usr/lib64 on PPC64.

* Tue Aug 01 2006 Paul Nasrat <pnasrat@redhat.com> - 1.2.4-2
- Backport syscall fix from upstream 

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.2.4-1.2.2
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.2.4-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.2.4-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Nov 03 2005 Paul Nasrat <pnasrat@redhat.com> 1.2.4-1
- Update to latest version

* Thu Nov 03 2005 Paul Nasrat <pnasrat@redhat.com> 1.2.2-1
- Initial release
